/*
 * _____________________________________________________________________________
 * 
 * INAF - OATS National Institute for Astrophysics - Astronomical Observatory of
 * Trieste INAF - IA2 Italian Center for Astronomical Archives
 * _____________________________________________________________________________
 * 
 * Copyright (C) 2017 Istituto Nazionale di Astrofisica
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License Version 3 as published by the
 * Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */
package it.inaf.ia2.tsm.datalayer;

import it.inaf.ia2.tsm.datalayer.mysql.MySQLDBBroker;
import it.inaf.ia2.tsm.datalayer.pgsql.PostgresDBBroker;

/**
 *
 * @author Sonia Zorba {@literal <zorba at oats.inaf.it>}
 */
public class DBBrokerFactory {

    public static DBBroker getDBBroker(DataSourceWrapper dataSourceWrapper, DataTypeMode dataTypeMode) {
        switch (dataSourceWrapper.getDatabaseType()) {
            case MYSQL:
                return new MySQLDBBroker(dataSourceWrapper.getDataSource(), dataTypeMode);
            default:
                String pgDatabase = dataSourceWrapper.getCredentials().getDatabase();
                return new PostgresDBBroker(dataSourceWrapper.getDataSource(), pgDatabase, dataTypeMode);
        }
    }
}
